Bug 22987 - Add biblioimages.timestamp
Summary: Add biblioimages.timestamp
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-25 21:17 UTC by Magnus Enger
Modified: 2020-05-16 15:08 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 22987: Add biblioimages.timestamp (2.08 KB, patch)
2020-01-13 14:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 22987: Add biblioimages.timestamp (2.14 KB, patch)
2020-03-11 14:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22987: Add biblioimages.timestamp (2.21 KB, patch)
2020-03-17 13:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22987: (RM follow-up) Schema Update (1.63 KB, patch)
2020-03-20 10:40 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2019-05-25 21:17:59 UTC
It might be interesting to be able to see when an image was last updated.
Comment 1 Tomás Cohen Arazi 2020-01-13 14:43:14 UTC
Created attachment 97316 [details] [review]
Bug 22987: Add biblioimages.timestamp

This patch adds the timestamp column to the biblioimages table.
To test:
1. Apply this patch
2. Run:
   $ updatedatabase
   $ koha-mysql kohadev
   > SHOW CREATE TABLE biblioimages;
=> SUCCESS: Notice the new column is there with the right settings
3. Sign off :-D
Comment 2 Owen Leonard 2020-03-11 14:32:35 UTC
Created attachment 100576 [details] [review]
Bug 22987: Add biblioimages.timestamp

This patch adds the timestamp column to the biblioimages table.
To test:
1. Apply this patch
2. Run:
   $ updatedatabase
   $ koha-mysql kohadev
   > SHOW CREATE TABLE biblioimages;
=> SUCCESS: Notice the new column is there with the right settings
3. Sign off :-D

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2020-03-17 13:26:54 UTC
Created attachment 100890 [details] [review]
Bug 22987: Add biblioimages.timestamp

This patch adds the timestamp column to the biblioimages table.
To test:
1. Apply this patch
2. Run:
   $ updatedatabase
   $ koha-mysql kohadev
   > SHOW CREATE TABLE biblioimages;
=> SUCCESS: Notice the new column is there with the right settings
3. Sign off :-D

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2020-03-19 09:39:35 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Martin Renvoize 2020-03-20 10:40:17 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Martin Renvoize 2020-03-20 10:40:30 UTC
Created attachment 101068 [details] [review]
Bug 22987: (RM follow-up) Schema Update

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Joy Nelson 2020-04-03 20:33:05 UTC
enhancement not backported to 19.11.x